/* $Id: //guest/paul_krause/perforce/integrations/jdev/src/com/perforce/jdev/P4View.java#2 $
 * Copyright 2000-2002 SoundBite Corporation.   All Rights Reserved.
 */
package com.perforce.jdev;

import oracle.ide.addin.View;
import com.perforce.api.Client;

/**
 * Maybe this class is a bridge.
 *
 * <p> One thing this class could do is support the four views of the
 * depot: <ol>
 * <li> the client view of depot (interested state of depot),
 * <li> the local view of depot (state of client),
 * <li> the local view of client tree (state of filesystem), and
 * <li> the entire depot (complete state of depot).</ol>
 *
 * <p> (In addition, the client can choose whether are not to show
 * deleted files, whether to sort files by extension, and whether and
 * how to filter files.)
 *
 * <p> Another thing it could do is act as an interface to the command
 * <kbd>p4 client</kbd>, although P4Workspace is probably a better
 * choice for that.
 *
 * <p> Note that there are three kinds of views in Perforce: client
 * views, branch views, and label views.  These might be subclasses.
 * Just as client views are managed by <kbd>p4 client</kbd>, branch
 * views are managed by <kbd>p4 branch</kbd>, and label views are
 * managed by <kbd>p4 label</kbd>.
 *
 * @author Paul Krause
 * @created Fri May 3 17:17:27 2002
 * @version $Revision: #2 $
 * @see View
 * @see Client
 * @see <a href="file:///C:/Program%20Files/Perforce/cmdref/o.views.html">cmdref</a>
 */
public class P4View {
   Client modelStub;
   View decoratorStub;
}
